package main.HUD;

import java.awt.Graphics2D;

import ea.BoundingRechteck;
import ea.Knoten;
import main.Main;

public class HUD extends Knoten{
	
	public final Herzen herzen;
	public final Inventory inventory;


	public HUD()  {
		herzen = new Herzen();
		inventory = new Inventory();
		add(herzen);
		add(inventory);
		Main.instance.manager.anmelden(herzen, 60);
		Main.instance.manager.anmelden(inventory, 50);
	}
	@Override
	public void zeichnen(Graphics2D g, BoundingRechteck r) {
		herzen.zeichnen(g);
		inventory.zeichnen(g);
	}
}
